petsc-3.7.1 2016-05-15
Report Typos and Errors

# ClassPerfLogEnsureSize

This ensures that a PetscClassPerfLog is at least of a certain size.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode ClassPerfLogEnsureSize(PetscClassPerfLog classLog, int size)

Not collective Many br

### Input Paramters

| classLog | - The PetscClassPerfLog Many br
| size | - The size Many br

Many br

### Keywords

log, class, size, ensure

### See Also

ClassPerfLogCreate()

Level:developer
Location:src/sys/logging/utils/classlog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages